void main( void )
{
 freeze(1);
 freeze(&current_sprite);

 say_stop("`0欢迎你，年轻的球球森林。", &current_sprite);
 wait(250);
 say_stop("是小森林，先生。", 1);
 say_stop("`0对，你有什么事？", &current_sprite);
 unfreeze(1);
  unfreeze(&current_sprite);
}

void talk( void )
{
 if (&caveguy == 2)
 {
  freeze(1);
 freeze(&current_sprite);
  say_stop("请教我些异常厉害的法术！", 1);
  wait(250);
  say_stop("恩，是去帮助被困在迷宫里的人。", 1);
  wait(250);
  if (&magic > 4)
  {
   say_stop("`0好，高森林，你的能力够强。", &current_sprite);
  wait(250);
   say_stop("`0我可以教会你酸雨咒。", &current_sprite);
  wait(250);
  say_stop("雨？雨就是你那个大魔法吗？", 1);
  wait(250);
   say_stop("`0孩子你不要小看酸雨，要不你会被酸雨腐蚀。", &current_sprite);
   //Give magic here
   add_magic("item-ice",437, 5);

   //SETH!!!
   //Give magic here
   //This magic will allow Dink to free the guy in the cave ..
   //Even though the guy only walks a few feet to be killed again anyway...
   //Ooops
   playsound(22,22050,0,0,0);
   &caveguy = 4;
   say_stop("会下雨咯，哦耶。", 1);
   unfreeze(1);
  unfreeze(&current_sprite);
     return;
  }
  say_stop("`0啊对不起，小大麻，但你的法力还不够厉害。", &current_sprite);
  wait(250);
  say_stop("`0你至少要5点法力才能学我这魔法。", &current_sprite);
  &caveguy = 3;
  unfreeze(1);
  unfreeze(&current_sprite);
  return;
 }
 if (&caveguy == 3)
 {
 freeze(&current_sprite);
  freeze(1);
  //First check him
  if (&magic > 4)
  {
   say_stop("`0很好，高森林，我觉得你足够厉害了。", &current_sprite);
  wait(250);
   say_stop("`0我可以教会你酸雨咒。", &current_sprite);
  wait(250);
  say_stop("雨？雨就是你那个大魔法吗？", 1);
  wait(250);
   say_stop("`0孩子你不要小看酸雨，要不你会被酸雨腐蚀。", &current_sprite);
  wait(250);
   //Give magic here
   add_magic("item-ice",437, 5);
   playsound(10,22050,0,0,0);
   &caveguy = 4;
   say_stop("我会下雨了，哦耶。", 1);

   unfreeze(1);
  unfreeze(&current_sprite);
    return;
  }
  //Otherwise
  say_stop("`0你还不够厉害，砖头森林。", &current_sprite);
  wait(250);
  say_stop("是小森林，先生。", 1);
  wait(250);
  say_stop("`0你需要5点法力才可学习呢。", &current_sprite);
  wait(500);
  sp_dir(1, 2);
  wait(500);
  say_stop("啊，太可惜了。", 1);
  unfreeze(1);
  unfreeze(&current_sprite);
  return;
 }
 freeze(1);
 freeze(&current_sprite);
 say_stop("先生，你还有别的可以教我的法术吗？", 1);
 wait(250);
 say_stop("`0没了小森林，我太老太累也无法教你了。", &current_sprite);
 wait(250);
 say_stop("哦，好的，没问题...还有我的名字不是....哦。", 1);

 unfreeze(1);
  unfreeze(&current_sprite);
}
